/*
 * Class WEL_FILE_DIALOG
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_944 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_944 [] = {0xFF01,1551,943,0xFFFF};
static const EIF_TYPE_INDEX egt_2_944 [] = {0xFF01,943,0xFFFF};
static const EIF_TYPE_INDEX egt_3_944 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_944 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_944 [] = {0xFF01,943,0xFFFF};
static const EIF_TYPE_INDEX egt_6_944 [] = {0xFF01,943,0xFFFF};
static const EIF_TYPE_INDEX egt_7_944 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_944 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_944 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_944 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_944 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_944 [] = {0xFF01,943,0xFFFF};
static const EIF_TYPE_INDEX egt_13_944 [] = {0xFF01,924,0xFFFF};
static const EIF_TYPE_INDEX egt_14_944 [] = {0xFF01,839,0xFFFF};
static const EIF_TYPE_INDEX egt_15_944 [] = {0xFF01,1578,0xFF01,924,0xFFFF};
static const EIF_TYPE_INDEX egt_16_944 [] = {0xFF01,1567,0xFF01,839,0xFFFF};
static const EIF_TYPE_INDEX egt_17_944 [] = {0xFF01,924,0xFFFF};
static const EIF_TYPE_INDEX egt_18_944 [] = {0xFF01,924,0xFFFF};
static const EIF_TYPE_INDEX egt_19_944 [] = {0xFF01,619,0xFFFF};
static const EIF_TYPE_INDEX egt_20_944 [] = {0xFF01,619,0xFFFF};
static const EIF_TYPE_INDEX egt_21_944 [] = {0xFF01,619,0xFFFF};


static const struct desc_info desc_944[] = {
	{EIF_GENERIC(NULL), 23866, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_944), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_944), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 17573, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_944), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17572, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_944), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_944), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_944), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_944), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_944), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_944), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_944), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_944), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_944), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x075F /*943*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_944), 30, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17169, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 16092, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17161, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 17162, 28},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 17163, 24},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 17164, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17165, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17166, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17167, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 17168, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17577, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 17170, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17571, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17574, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17575, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17576, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 23838, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 17578, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17579, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17580, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17581, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17582, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 19390, 25},
	{EIF_NON_GENERIC(0x06CB /*869*/), 23215, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 23216, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 23217, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 14923, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06B9 /*860*/), 14924, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23867, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 23868, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_944), 23869, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_944), 23870, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_944), 23871, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_944), 23872, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_944), 23873, 0xFFFFFFFF},
	{EIF_GENERIC(egt_18_944), 23874, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 23875, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 23876, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 23877, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 23878, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23879, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23880, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23881, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23882, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23883, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23884, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23885, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23886, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23887, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23888, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23889, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23890, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23891, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23892, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 23893, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23894, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 23895, 0xFFFFFFFF},
	{EIF_GENERIC(egt_19_944), 23896, 0},
	{EIF_GENERIC(egt_20_944), 23897, 4},
	{EIF_NON_GENERIC(0x04D7 /*619*/), 23898, 8},
	{EIF_GENERIC(egt_21_944), 23899, 12},
	{EIF_NON_GENERIC(0x04D7 /*619*/), 23900, 16},
	{EIF_NON_GENERIC(0x04D7 /*619*/), 23901, 20},
	{EIF_NON_GENERIC(0x06CB /*869*/), 23902, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 23903, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 23839, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23840, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23841, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23842, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23843, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23844, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23845, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23846, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23847, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23848, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23849, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23850, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23851, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23852, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 23853, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 23854, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 23855, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 23856, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 23857, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 23858, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 23859, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 23860, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 23861, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 23862, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 23863, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 23864, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 23865, 0xFFFFFFFF},
};
void Init944(void)
{
	IDSC(desc_944, 0, 943);
	IDSC(desc_944 + 1, 1, 943);
	IDSC(desc_944 + 32, 791, 943);
	IDSC(desc_944 + 34, 1359, 943);
	IDSC(desc_944 + 44, 1308, 943);
	IDSC(desc_944 + 54, 93, 943);
	IDSC(desc_944 + 56, 417, 943);
	IDSC(desc_944 + 59, 1607, 943);
	IDSC(desc_944 + 61, 1547, 943);
}


#ifdef __cplusplus
}
#endif
